Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220639 - [ebuild] dev-perl/File-Next
Summary: [ebuild] dev-perl/File-Next
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Perl team
URL: http://search.cpan.org/dist/File-Next/
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2008-05-06 18:05 UTC by René 'Necoro' Neumann
Modified: 2008-05-26 07:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
File-Next-1.02.ebuild (File-Next-1.02.ebuild,499 bytes, text/plain)
2008-05-06 18:08 UTC, René 'Necoro' Neumann
Details
File-Next-1.02.ebuild (File-Next-1.02.ebuild,471 bytes, text/plain)
2008-05-06 19:45 UTC, René 'Necoro' Neumann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description René 'Necoro' Neumann 2008-05-06 18:05:36 UTC
File::Next is an iterator-based module for finding files.

I add this, as it is needed as a dependency for ack (http://petdance.com/ack/).
Comment 1 René 'Necoro' Neumann 2008-05-06 18:08:39 UTC
Created attachment 152139 [details]
File-Next-1.02.ebuild

Here is an ebuild.

It is mostly generated by g-cpan and then I polished it ;).

Documentation notes, that it depends on Test::More - as advised in #gentoo-perl I added "virtual/perl-Test-Simple" as the dependency.
But the module seems to work w/o this dep too. As I'm not a perl programmer, and don't know about the functionality of these Test::* modules, I left it in deps.
Comment 2 René 'Necoro' Neumann 2008-05-06 19:45:15 UTC
Created attachment 152157 [details]
File-Next-1.02.ebuild

fixed header
Comment 3 René 'Necoro' Neumann 2008-05-07 06:57:20 UTC
This can now be found in sunrise:
http://overlays.gentoo.org/svn/proj/sunrise/reviewed/dev-perl/File-Next/
Comment 4 Samuli Suominen gentoo-dev 2008-05-15 23:29:37 UTC
In portage..